class CreateExaminationIntelligentSettings < ActiveRecord::Migration[5.2]
  def change
    create_table :examination_intelligent_settings do |t|
      t.references :sub_discipline
      t.integer :public, default: 1
      t.integer :difficulty, default: 1

      t.timestamps
    end

    add_index :examination_intelligent_settings, :sub_discipline_id, name: "index_on_sub_discipline_id"
  end
end
